Subject: bug#10408: 24.0.92; gnus sluggish with large mailbox at the end

From: Eli Zaretskii <[email-masked]>
Date: Thu, 05 Jan 2012 08:17:37 -0500

> From: Lars Magne Ingebrigtsen <[email-masked]>
> Cc: [email-masked], Eli Zaretskii <[email-masked]>
> Date: Thu, 05 Jan 2012 12:54:20 +0100
> 
> Ivan Kanis <[email-masked]> writes:
> 
> > It's moving the cursor around. I have seen it on Debian 6.0 and Ubuntu
> > 10.10. When I get round to it I'll give a -Q recipe. Do you have font
> > lock enabled?
> 
> Gnus doesn't use font lock, but slow cursor movements in large buffers
> may indicate that there's bidi redisplay issues.
> 
> Eli, what's the best test to determine whether this is bidi-related?

M-: (setq bidi-display-reordering nil) RET

After that, repeat the slow commands, compare with Emacs 23 for the
same buffer.  If turning off bidi-display-reordering makes Emacs as
fast as Emacs 23, it's a bidi problem, if it's still slower than Emacs
23, even if it's faster than with bidi-display-reordering turned on,
then it's probably something else.

If the buffer is saved to a file and then that file visited as a
normal file (e.g., in Fundamental mode), does the OP see a similar
slowdown?  If so, is it possible to post the buffer itself here, or at
least send it to me via private email?